Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class NodeSorter

    java.lang.Object
      |
      +--weblogic.apache.xalan.transformer.NodeSorter

public class NodeSorter
extends java.lang.Object

This class can sort vectors of DOM nodes according to a select pattern.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`NodeSorter(XPathContext p)` Construct a NodeSorter, passing in the XSL TransformerFactory so it can know how to get the node data according to the proper whitespace rules.

Method Summary
`void` | `sort(weblogic.apache.xml.dtm.DTMIterator v, java.util.Vector keys, XPathContext support)` Given a vector of nodes, sort each node according to the criteria in the keys.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeSorter

    public NodeSorter(XPathContext p)

  Construct a NodeSorter, passing in the XSL TransformerFactory so it can know how to get the node data according to the proper whitespace rules.

  Parameters:
    `p` - Xpath context to use

Method Detail

### sort

    public void sort(weblogic.apache.xml.dtm.DTMIterator v,
                     java.util.Vector keys,
                     XPathContext support)
              throws javax.xml.transform.TransformerException

  Given a vector of nodes, sort each node according to the criteria in the keys.

  Parameters:
    `v` - an vector of Nodes.
    `keys` - a vector of NodeSortKeys.
    `support` - XPath context to use
  Throws:
    javax.xml.transform.TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference